/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.abricot.client.gui;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.sql.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.abricot.client.eof.modele.EOBordereau;
import org.cocktail.abricot.client.eof.modele.EOMandat;
import org.cocktail.application.client.eof.EOModePaiement;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.EOTypeBordereau;
import org.cocktail.application.client.eof.VFournisseur;
import org.cocktail.client.common.swing.TableSorter;
import org.cocktail.client.common.swing.ZEOTable;
import org.cocktail.client.common.swing.ZEOTableModel;
import org.cocktail.client.common.swing.ZEOTableModelColumn;
import org.cocktail.client.common.utilities.CocktailConstantes;
import org.cocktail.client.common.utilities.CocktailFormats;
import org.cocktail.client.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class ImpressionView extends javax.swing.JFrame {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	protected EODisplayGroup  eodUb, eodTypeBordereau, eodBordereau, eodDetail;
	protected ZEOTable myEOTableUb, myEOTableTypeBordereau, myEOTableBordereau, myEOTableDetail;
	protected ZEOTableModel myTableModelUb, myTableModelTypeBordereau, myTableModelBordereau, myTableModelDetail;
	protected TableSorter myTableSorterUb, myTableSorterTypeBordereau, myTableSorterBordereau, myTableSorterDetail;

    /** Creates new form AffichageBSView */
    public ImpressionView(java.awt.Frame parent, boolean modal, EODisplayGroup dgUb, EODisplayGroup dgTypeBordereau, EODisplayGroup dgBordereau, EODisplayGroup dgDetail) {
        //super(parent, modal);

        eodUb = dgUb;
        eodTypeBordereau = dgTypeBordereau;
        eodBordereau = dgBordereau;
        eodDetail = dgDetail;
       
        initComponents();
        
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        btnRefresh = new javax.swing.JButton();
        viewTableTypeBordereau = new javax.swing.JPanel();
        btnFermer = new javax.swing.JButton();
        tfTitre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        viewTableBorderau = new javax.swing.JPanel();
        btnPrintDetail = new javax.swing.JButton();
        viewTableDetail = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        viewTableUb = new javax.swing.JPanel();
        btnPrint = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        btnRefresh.setText("Rafraîchir");
        btnRefresh.setToolTipText("Rafraichir la liste des dépenses");

        viewTableTypeBordereau.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableTypeBordereau.setLayout(new java.awt.BorderLayout());

        btnFermer.setText("Fermer");
        btnFermer.setToolTipText("Fermer la fenêtre");

        tfTitre.setBackground(new java.awt.Color(255, 255, 153));
        tfTitre.setEditable(false);
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("EDITION DES BORDEREAUX");
        tfTitre.setFocusable(false);

        jLabel2.setText("Liste des bordereaux");

        viewTableBorderau.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableBorderau.setLayout(new java.awt.BorderLayout());

        btnPrintDetail.setText("IMPRIMER Détail");
        btnPrintDetail.setToolTipText("Imprimer un détail du bordereau");

        viewTableDetail.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableDetail.setLayout(new java.awt.BorderLayout());

        jLabel4.setText("Détail du bordereau sélectionné");

        viewTableUb.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableUb.setLayout(new java.awt.BorderLayout());

        btnPrint.setText("IMPRIMER");
        btnPrint.setToolTipText("Imprimer le bordereau");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 978, Short.MAX_VALUE)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(802, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnPrintDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableDetail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 943, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableBorderau, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 943, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(viewTableUb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 430, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(viewTableTypeBordereau, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 375, Short.MAX_VALUE)
                                .add(18, 18, 18)))
                        .add(btnRefresh, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(25, 25, 25))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(viewTableTypeBordereau, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTableUb, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnRefresh, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableBorderau, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 163, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(viewTableDetail, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnPrintDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)))
                .add(22, 22, 22))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-994)/2, (screenSize.height-676)/2, 994, 676);
    }// </editor-fold>//GEN-END:initComponents

    

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	VisaRejetView dialog = new VisaRejetView(new javax.swing.JFrame(), true, null, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnPrint;
    private javax.swing.JButton btnPrintDetail;
    private javax.swing.JButton btnRefresh;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JTextField tfTitre;
    protected javax.swing.JPanel viewTableBorderau;
    protected javax.swing.JPanel viewTableDetail;
    protected javax.swing.JPanel viewTableTypeBordereau;
    protected javax.swing.JPanel viewTableUb;
    // End of variables declaration//GEN-END:variables

    	/*
	 * (non-Javadoc)
	 * 
	 * @see fr.univlr.karukera.client.ZKarukeraPanel#initGUI()
	 */
	private void initGui() {
		
		btnFermer.setIcon(CocktailIcones.ICON_CLOSE);

		btnRefresh.setIcon(CocktailIcones.ICON_REFRESH_22);

		btnPrint.setIcon(CocktailIcones.ICON_PRINTER_16);

		btnPrintDetail.setIcon(CocktailIcones.ICON_PRINTER_16);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodTypeBordereau, EOTypeBordereau.TBO_LIBELLE_KEY, "Type Bordereau", 120);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelTypeBordereau= new ZEOTableModel(eodTypeBordereau, myCols);
		myTableSorterTypeBordereau = new TableSorter(myTableModelTypeBordereau);

		myEOTableTypeBordereau = new ZEOTable(myTableSorterTypeBordereau);
		myTableSorterTypeBordereau.setTableHeader(myEOTableTypeBordereau.getTableHeader());		
		
		myEOTableTypeBordereau.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableTypeBordereau.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableTypeBordereau.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);		
		
		viewTableTypeBordereau.setBorder(BorderFactory.createEmptyBorder());
		viewTableTypeBordereau.removeAll();
		viewTableTypeBordereau.setLayout(new BorderLayout());
		viewTableTypeBordereau.add(new JScrollPane(myEOTableTypeBordereau), BorderLayout.CENTER);
		
		

		// UB
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodUb, EOOrgan.ORG_UB_KEY, "UB", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodUb, EOOrgan.ORG_LIBELLE_KEY, "Libellé", 200);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelUb= new ZEOTableModel(eodUb, myCols);
		myTableSorterUb = new TableSorter(myTableModelUb);

		myEOTableUb = new ZEOTable(myTableSorterUb);
		myTableSorterUb.setTableHeader(myEOTableUb.getTableHeader());		
		
		myEOTableUb.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableUb.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableUb.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);		
		
		viewTableUb.setBorder(BorderFactory.createEmptyBorder());
		viewTableUb.removeAll();
		viewTableUb.setLayout(new BorderLayout());
		viewTableUb.add(new JScrollPane(myEOTableUb), BorderLayout.CENTER);

		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodBordereau, EOBordereau.GES_CODE_KEY, "UB", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodBordereau, EOBordereau.BOR_NUM_KEY,  "No Bordereau", 40);
		col.setAlignment(SwingConstants.LEFT);
		col.setColumnClass(Integer.class);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodBordereau, EOBordereau.BOR_ETAT_KEY, "ETAT", 100);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodBordereau, EOBordereau.BOR_DATE_CREATION_KEY, "Date Création", 100);
		col.setAlignment(SwingConstants.CENTER);
		col.setColumnClass(Date.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodBordereau, EOBordereau.TYPE_BORDEREAU_KEY+"."+EOTypeBordereau.TBO_ORDRE_KEY, "TYPE", 100);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelBordereau= new ZEOTableModel(eodBordereau, myCols);
		myTableSorterBordereau = new TableSorter(myTableModelBordereau);

		myEOTableBordereau = new ZEOTable(myTableSorterBordereau);
		myTableSorterBordereau.setTableHeader(myEOTableBordereau.getTableHeader());		
		
		myEOTableBordereau.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableBordereau.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableBordereau.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		
		
		viewTableBorderau.setBorder(BorderFactory.createEmptyBorder());
		viewTableBorderau.removeAll();
		viewTableBorderau.setLayout(new BorderLayout());
		viewTableBorderau.add(new JScrollPane(myEOTableBordereau), BorderLayout.CENTER);
		
		
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodDetail, EOMandat.BORDEREAU_KEY+"."+EOBordereau.BOR_NUM_KEY, "Bord Emis", 30);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDetail, EOMandat.DETAIL_NUMERO_KEY, "No", 30);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDetail, EOMandat.MOTIF_REJET_KEY, "Motif Rejet", 275);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDetail, EOMandat.MODE_PAIEMENT_KEY+"."+EOModePaiement.MOD_CODE_KEY, "Mode", 45);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDetail, EOMandat.PCO_NUM_KEY, "Compte", 45);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDetail, EOMandat.DETAIL_TTC_KEY, "TTC", 30);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDetail, EOMandat.V_FOURNISSEUR_KEY+"." + VFournisseur.ADR_NOM_KEY, "Nom Fournis / Client", 175);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelDetail= new ZEOTableModel(eodDetail, myCols);
		myTableSorterDetail = new TableSorter(myTableModelDetail);

		myEOTableDetail = new ZEOTable(myTableSorterDetail);
		myTableSorterDetail.setTableHeader(myEOTableDetail.getTableHeader());		
		
		myEOTableDetail.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableDetail.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableDetail.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		
		
		viewTableDetail.setBorder(BorderFactory.createEmptyBorder());
		viewTableDetail.removeAll();
		viewTableDetail.setLayout(new BorderLayout());
		viewTableDetail.add(new JScrollPane(myEOTableDetail), BorderLayout.CENTER);
		
        }

	public ZEOTable getMyEOTableUb() {
		return myEOTableUb;
	}

	public void setMyEOTableUb(ZEOTable myEOTableUb) {
		this.myEOTableUb = myEOTableUb;
	}

	public ZEOTable getMyEOTableTypeBordereau() {
		return myEOTableTypeBordereau;
	}

	public void setMyEOTableTypeBordereau(ZEOTable myEOTableTypeBordereau) {
		this.myEOTableTypeBordereau = myEOTableTypeBordereau;
	}

	public ZEOTable getMyEOTableBordereau() {
		return myEOTableBordereau;
	}

	public void setMyEOTableBordereau(ZEOTable myEOTableBordereau) {
		this.myEOTableBordereau = myEOTableBordereau;
	}

	public ZEOTable getMyEOTableDetail() {
		return myEOTableDetail;
	}

	public void setMyEOTableDetail(ZEOTable myEOTableDetail) {
		this.myEOTableDetail = myEOTableDetail;
	}

	public ZEOTableModel getMyTableModelUb() {
		return myTableModelUb;
	}

	public void setMyTableModelUb(ZEOTableModel myTableModelUb) {
		this.myTableModelUb = myTableModelUb;
	}

	public ZEOTableModel getMyTableModelTypeBordereau() {
		return myTableModelTypeBordereau;
	}

	public void setMyTableModelTypeBordereau(ZEOTableModel myTableModelTypeBordereau) {
		this.myTableModelTypeBordereau = myTableModelTypeBordereau;
	}

	public ZEOTableModel getMyTableModelBordereau() {
		return myTableModelBordereau;
	}

	public void setMyTableModelBordereau(ZEOTableModel myTableModelBordereau) {
		this.myTableModelBordereau = myTableModelBordereau;
	}

	public ZEOTableModel getMyTableModelDetail() {
		return myTableModelDetail;
	}

	public void setMyTableModelDetail(ZEOTableModel myTableModelDetail) {
		this.myTableModelDetail = myTableModelDetail;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnPrint() {
		return btnPrint;
	}

	public void setBtnPrint(javax.swing.JButton btnPrint) {
		this.btnPrint = btnPrint;
	}

	public javax.swing.JButton getBtnPrintDetail() {
		return btnPrintDetail;
	}

	public void setBtnPrintDetail(javax.swing.JButton btnPrintDetail) {
		this.btnPrintDetail = btnPrintDetail;
	}

	public javax.swing.JButton getBtnRefresh() {
		return btnRefresh;
	}

	public void setBtnRefresh(javax.swing.JButton btnRefresh) {
		this.btnRefresh = btnRefresh;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}


}
